Skip to content

List and search extensions

Request to list extensions:

GET /api/v2/extensions.json

Example of response:

{
    "extensions": [{
        "ext_id": "01c1a942-1e6a-11ef-9119-9b3d971aa321",
        "extension": "12005040976",
        "user_id": "3fce14ba-0848-440c-95a1-98d376067b77",
        "tenant_id": "209e8a10-e250-4824-8567-43f48e07a060"
    },{
        "ext_id": "7b0c2d10-1e6a-11ef-9119-9b3d971aa321",
        "extension": "12005040977",
        "user_id": null,
        "tenant_id": "209e8a10-e250-4824-8567-43f48e07a060"
    }],
    "total": 2,
    "next_url": null
}

See Extensions for the object fields and Collections for paging.

Search extensions

Parameter Description
search_term

Search by extension value, and by tenant name in multi-tenant deployments. Partial match, case insensitive.

GET /api/v2/extensions.json?search_term=1200
tenant_id

Filter by tenant ID.

GET /api/v2/extensions.json?tenant_id=209e8a10-e250-4824-8567-43f48e07a060

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The list of extensions is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view extensions
404 Not Found The tenant_id parameter is not a valid UUID